<?php

if(!defined('INSTALLER_RUN')) die('Patch update file access violation.');

/*
	Example installer patch update class. the classname must match
	the php and the sql patch update filename. The php patches are
	only executed when a corresponding sql patch exists.
*/

class upd_0065 extends installer_patch_update {

	public function onAfterSQL() {
		global $inst;
		
		// delete all the files that were deleted on previous updates
		$delete = array(
			'interface/bin/php-fcgi',
			'interface/lib/classes/datasources_enbion.inc.php',
			'interface/lib/config.inc.local.php',
			'interface/lib/db_local.php.skel',
			'interface/lib/plugins/sites_web_domain_plugin.inc.php',
			'interface/lib/plugins/sites_web_vhost_aliasdomain_plugin.inc.php',
			'interface/lib/plugins/sites_web_vhost_subdomain_plugin.inc.php',
			'interface/sql/auth_sql_snippet.sql',
			'interface/sql/db_installer_sandbox/defs.ftp_servers_sites_domains.php',
			'interface/sql/db_installer_sandbox/defs.mail_spam.php',
			'interface/sql/db_installer_sandbox/defs.resellers_clients.php',
			'interface/sql/db_installer_sandbox/defs.system.php',
			'interface/sql/db_installer_sandbox/table_definitions.php',
			'interface/sql/ispconfig3db.sql',
			'interface/sql/WARNING.txt',
			'interface/web/admin/datalog_del.php',
			'interface/web/admin/datalog_list.php',
			'interface/web/admin/dbsync_cron.php',
			'interface/web/admin/dbsync_del.php',
			'interface/web/admin/dbsync_edit.php',
			'interface/web/admin/dbsync_list.php',
			'interface/web/admin/filesync_cron.php',
			'interface/web/admin/filesync_del.php',
			'interface/web/admin/filesync_edit.php',
			'interface/web/admin/filesync_list.php',
			'interface/web/admin/form/tpl_default_admin.tform.php',
			'interface/web/admin/form/tpl_default-v2_admin.tform.php',
			'interface/web/admin/form/tpl_default-v2.tform.php',
			'interface/web/admin/lib/interface.d/default-v2.menu.php',
			'interface/web/admin/lib/interface.d/tpl_default.menu.php',
			'interface/web/admin/lib/interface.d/tpl_default-v2.menu.php',
			'interface/web/admin/lib/lang/ar_login_as.lng',
			'interface/web/admin/lib/lang/ar_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/bg_datalog_list.lng',
			'interface/web/admin/lib/lang/bg_dbsync_list.lng',
			'interface/web/admin/lib/lang/bg_dbsync.lng',
			'interface/web/admin/lib/lang/bg_filesync_list.lng',
			'interface/web/admin/lib/lang/bg_filesync.lng',
			'interface/web/admin/lib/lang/bg_login_as.lng',
			'interface/web/admin/lib/lang/bg_syslog_list.lng',
			'interface/web/admin/lib/lang/bg_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/br_login_as.lng',
			'interface/web/admin/lib/lang/br_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/cz_login_as.lng',
			'interface/web/admin/lib/lang/cz_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/de_datalog_list.lng',
			'interface/web/admin/lib/lang/de_dbsync_list.lng',
			'interface/web/admin/lib/lang/de_dbsync.lng',
			'interface/web/admin/lib/lang/de_filesync_list.lng',
			'interface/web/admin/lib/lang/de_filesync.lng',
			'interface/web/admin/lib/lang/de_login_as.lng',
			'interface/web/admin/lib/lang/de_syslog_list.lng',
			'interface/web/admin/lib/lang/de_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/el_login_as.lng',
			'interface/web/admin/lib/lang/el_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/en_datalog_list.lng',
			'interface/web/admin/lib/lang/en_dbsync_list.lng',
			'interface/web/admin/lib/lang/en_dbsync.lng',
			'interface/web/admin/lib/lang/en_filesync_list.lng',
			'interface/web/admin/lib/lang/en_filesync.lng',
			'interface/web/admin/lib/lang/en_login_as.lng',
			'interface/web/admin/lib/lang/en_syslog_list.lng',
			'interface/web/admin/lib/lang/en_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/es_datalog_list.lng',
			'interface/web/admin/lib/lang/es_dbsync_list.lng',
			'interface/web/admin/lib/lang/es_dbsync.lng',
			'interface/web/admin/lib/lang/es_filesync_list.lng',
			'interface/web/admin/lib/lang/es_filesync.lng',
			'interface/web/admin/lib/lang/es_login_as.lng',
			'interface/web/admin/lib/lang/es_syslog_list.lng',
			'interface/web/admin/lib/lang/es_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/fi_dbsync_list.lng',
			'interface/web/admin/lib/lang/fi_dbsync.lng',
			'interface/web/admin/lib/lang/fi_filesync_list.lng',
			'interface/web/admin/lib/lang/fi_filesync.lng',
			'interface/web/admin/lib/lang/fi_login_as.lng',
			'interface/web/admin/lib/lang/fi_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/fr_datalog_list.lng',
			'interface/web/admin/lib/lang/fr_dbsync_list.lng',
			'interface/web/admin/lib/lang/fr_dbsync.lng',
			'interface/web/admin/lib/lang/fr_filesync_list.lng',
			'interface/web/admin/lib/lang/fr_filesync.lng',
			'interface/web/admin/lib/lang/fr_login_as.lng',
			'interface/web/admin/lib/lang/fr_syslog_list.lng',
			'interface/web/admin/lib/lang/fr_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/hr_login_as.lng',
			'interface/web/admin/lib/lang/hr_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/hu_datalog_list.lng',
			'interface/web/admin/lib/lang/hu_dbsync_list.lng',
			'interface/web/admin/lib/lang/hu_dbsync.lng',
			'interface/web/admin/lib/lang/hu_filesync_list.lng',
			'interface/web/admin/lib/lang/hu_filesync.lng',
			'interface/web/admin/lib/lang/hu_login_as.lng',
			'interface/web/admin/lib/lang/hu_syslog_list.lng',
			'interface/web/admin/lib/lang/hu_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/id_login_as.lng',
			'interface/web/admin/lib/lang/id_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/it_datalog_list.lng',
			'interface/web/admin/lib/lang/it_dbsync_list.lng',
			'interface/web/admin/lib/lang/it_dbsync.lng',
			'interface/web/admin/lib/lang/it_filesync_list.lng',
			'interface/web/admin/lib/lang/it_filesync.lng',
			'interface/web/admin/lib/lang/it_login_as.lng',
			'interface/web/admin/lib/lang/it_syslog_list.lng',
			'interface/web/admin/lib/lang/it_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/ja_login_as.lng',
			'interface/web/admin/lib/lang/ja_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/nl_datalog_list.lng',
			'interface/web/admin/lib/lang/nl_dbsync_list.lng',
			'interface/web/admin/lib/lang/nl_dbsync.lng',
			'interface/web/admin/lib/lang/nl_filesync_list.lng',
			'interface/web/admin/lib/lang/nl_filesync.lng',
			'interface/web/admin/lib/lang/nl_login_as.lng',
			'interface/web/admin/lib/lang/nl_syslog_list.lng',
			'interface/web/admin/lib/lang/nl_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/pl_login_as.lng',
			'interface/web/admin/lib/lang/pl_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/pt_login_as.lng',
			'interface/web/admin/lib/lang/pt_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/ro_login_as.lng',
			'interface/web/admin/lib/lang/ro_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/ru_datalog_list.lng',
			'interface/web/admin/lib/lang/ru_dbsync_list.lng',
			'interface/web/admin/lib/lang/ru_dbsync.lng',
			'interface/web/admin/lib/lang/ru_filesync_list.lng',
			'interface/web/admin/lib/lang/ru_filesync.lng',
			'interface/web/admin/lib/lang/ru_login_as.lng',
			'interface/web/admin/lib/lang/ru_syslog_list.lng',
			'interface/web/admin/lib/lang/ru_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/se_datalog_list.lng',
			'interface/web/admin/lib/lang/se_dbsync_list.lng',
			'interface/web/admin/lib/lang/se_dbsync.lng',
			'interface/web/admin/lib/lang/se_filesync_list.lng',
			'interface/web/admin/lib/lang/se_filesync.lng',
			'interface/web/admin/lib/lang/se_login_as.lng',
			'interface/web/admin/lib/lang/se_syslog_list.lng',
			'interface/web/admin/lib/lang/se_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/sk_login_as.lng',
			'interface/web/admin/lib/lang/sk_tpl_default-v2_admin.lng',
			'interface/web/admin/lib/lang/tr_login_as.lng',
			'interface/web/admin/lib/lang/tr_tpl_default-v2_admin.lng',
			'interface/web/admin/list/datalog.list.php',
			'interface/web/admin/list/dbsync.list.php',
			'interface/web/admin/list/filesync.list.php',
			'interface/web/admin/list/log.list.php',
			'interface/web/admin/log_del.php',
			'interface/web/admin/login_as.php',
			'interface/web/admin/log_list.php',
			'interface/web/admin/system_config_edit.php.bak',
			'interface/web/admin/templates/datalog_list.htm',
			'interface/web/admin/templates/dbsync_edit.htm',
			'interface/web/admin/templates/dbsync_list.htm',
			'interface/web/admin/templates/filesync_edit.htm',
			'interface/web/admin/templates/filesync_list.htm',
			'interface/web/admin/templates/index.htm',
			'interface/web/admin/_templates_old/dbsync_edit.htm',
			'interface/web/admin/_templates_old/dbsync_list.htm',
			'interface/web/admin/_templates_old/filesync_edit.htm',
			'interface/web/admin/_templates_old/filesync_list.htm',
			'interface/web/admin/_templates_old/firewall_edit.htm',
			'interface/web/admin/_templates_old/firewall_list.htm',
			'interface/web/admin/_templates_old/groups_edit.htm',
			'interface/web/admin/_templates_old/groups_list.htm',
			'interface/web/admin/_templates_old/index.htm',
			'interface/web/admin/_templates_old/language_add.htm',
			'interface/web/admin/_templates_old/language_complete.htm',
			'interface/web/admin/_templates_old/language_edit.htm',
			'interface/web/admin/_templates_old/language_export.htm',
			'interface/web/admin/_templates_old/language_import.htm',
			'interface/web/admin/_templates_old/language_list.htm',
			'interface/web/admin/_templates_old/server_config_fastcgi_edit.htm',
			'interface/web/admin/_templates_old/server_config_getmail_edit.htm',
			'interface/web/admin/_templates_old/server_config_jailkit_edit.htm',
			'interface/web/admin/_templates_old/server_config_list.htm',
			'interface/web/admin/_templates_old/server_config_mail_edit.htm',
			'interface/web/admin/_templates_old/server_config_server_edit.htm',
			'interface/web/admin/_templates_old/server_config_web_edit.htm',
			'interface/web/admin/_templates_old/server_edit_config.htm',
			'interface/web/admin/_templates_old/server_edit_services.htm',
			'interface/web/admin/_templates_old/server_ip_edit.htm',
			'interface/web/admin/_templates_old/server_ip_list.htm',
			'interface/web/admin/_templates_old/server_list.htm',
			'interface/web/admin/_templates_old/software_package_list.htm',
			'interface/web/admin/_templates_old/software_repo_edit.htm',
			'interface/web/admin/_templates_old/software_repo_list.htm',
			'interface/web/admin/_templates_old/software_update_list.htm',
			'interface/web/admin/_templates_old/users_address_edit.htm',
			'interface/web/admin/_templates_old/users_groups_edit.htm',
			'interface/web/admin/_templates_old/users_list.htm',
			'interface/web/admin/_templates_old/users_user_edit.htm',
			'interface/web/admin/templates/paging.tpl.htm',
			'interface/web/admin/templates/syslog_list.htm',
			'interface/web/admin/templates/system_config_branding_edit.htm',
			'interface/web/admin/templates/tpl_default_admin.htm',
			'interface/web/admin/templates/tpl_default-v2_admin.htm',
			'interface/web/admin/templates/tpl_default-v2_basic.htm',
			'interface/web/admin/templates/users_address_edit.htm',
			'interface/web/admin/tpl_default_admin.php',
			'interface/web/admin/tpl_default-v2_admin.php',
			'interface/web/admin/tpl_default-v2.php',
			'interface/web/clang.php',
			'interface/web/client/lib/lang/de_client_list.lng',
			'interface/web/client/lib/lang/de_users_list.lng',
			'interface/web/client/lib/lang/en_client_list.lng',
			'interface/web/client/lib/lang/en_users_list.lng',
			'interface/web/client/lib/lang/fi_client_list.lng',
			'interface/web/client/lib/lang/fi_users_list.lng',
			'interface/web/client/lib/lang/fr_users_list.lng',
			'interface/web/client/lib/lang/hu_client_list.lng',
			'interface/web/client/lib/lang/hu_users_list.lng',
			'interface/web/client/lib/lang/nl_client_list.lng',
			'interface/web/client/lib/lang/nl_users_list.lng',
			'interface/web/client/lib/lang/ru_client_list.lng',
			'interface/web/client/lib/lang/ru_users_list.lng',
			'interface/web/client/lib/lang/se_users_list.lng',
			'interface/web/client/list/users.list.php',
			'interface/web/clients/lib/admin.conf.php',
			'interface/web/clients/lib/module.conf.php',
			'interface/web/client/templates/client_edit_ipaddress.htm',
			'interface/web/client/templates/client_edit_login.htm',
			'interface/web/client/templates/client_edit_users.htm',
			'interface/web/client/templates/client_list.htm',
			'interface/web/client/_templates_old/client_edit_address.htm',
			'interface/web/client/_templates_old/client_edit_limits.htm',
			'interface/web/client/_templates_old/clients_list.htm',
			'interface/web/client/templates/paging.tpl.htm',
			'interface/web/client/templates/reseller_edit_ipaddress.htm',
			'interface/web/client/templates/reseller_edit_users.htm',
			'interface/web/client/templates/users_list.htm',
			'interface/web/client/tools.inc.php',
			'interface/web/cms/form/media_cat.tform.php',
			'interface/web/cms/form/media_profile.tform.php',
			'interface/web/cms/form/media.tform.php',
			'interface/web/cms/lib/admin.conf.php',
			'interface/web/cms/lib/lang/de.lng',
			'interface/web/cms/lib/lang/de_media_cat_list.lng',
			'interface/web/cms/lib/lang/de_media_cat.lng',
			'interface/web/cms/lib/lang/de_media_list.lng',
			'interface/web/cms/lib/lang/de_media.lng',
			'interface/web/cms/lib/lang/de_media_profile_list.lng',
			'interface/web/cms/lib/lang/de_media_profile.lng',
			'interface/web/cms/lib/lang/en.lng',
			'interface/web/cms/lib/lang/en_media_cat_list.lng',
			'interface/web/cms/lib/lang/en_media_cat.lng',
			'interface/web/cms/lib/lang/en_media_list.lng',
			'interface/web/cms/lib/lang/en_media.lng',
			'interface/web/cms/lib/lang/en_media_profile_list.lng',
			'interface/web/cms/lib/lang/en_media_profile.lng',
			'interface/web/cms/lib/module.conf.php',
			'interface/web/cms/list/media_cat.list.php',
			'interface/web/cms/list/media.list.php',
			'interface/web/cms/list/media_profile.list.php',
			'interface/web/cms/media_add.php',
			'interface/web/cms/media_cat_del.php',
			'interface/web/cms/media_cat_edit.php',
			'interface/web/cms/media_cat_list.php',
			'interface/web/cms/media_del.php',
			'interface/web/cms/media_edit.php',
			'interface/web/cms/media_list.php',
			'interface/web/cms/media_profile_del.php',
			'interface/web/cms/media_profile_edit.php',
			'interface/web/cms/media_profile_list.php',
			'interface/web/cms/media_view.php',
			'interface/web/cms/templates/media_add.htm',
			'interface/web/cms/templates/media_cat_edit.htm',
			'interface/web/cms/templates/media_cat_list.htm',
			'interface/web/cms/templates/media_edit.htm',
			'interface/web/cms/templates/media_list.htm',
			'interface/web/cms/templates/media_profile_edit.htm',
			'interface/web/cms/templates/media_profile_list.htm',
			'interface/web/cms/templates/paging.tpl.htm',
			'interface/web/cms/templates/treenavi.htm',
			'interface/web/cms/treenavi.php',
			'interface/web/dashboard/ajax_get_json.php.bak',
			'interface/web/dashboard/dashlets/limits.php.bak',
			'interface/web/data.sql',
			'interface/web/dns/form/rr.tform.php',
			'interface/web/dns/form/soa.tform.php',
			'interface/web/dns/lib/lang/de_rr_list.lng',
			'interface/web/dns/lib/lang/de_rr.lng',
			'interface/web/dns/lib/lang/de_soa_list.lng',
			'interface/web/dns/lib/lang/de_soa.lng',
			'interface/web/dns/lib/lang/en_rr_list.lng',
			'interface/web/dns/lib/lang/en_rr.lng',
			'interface/web/dns/lib/lang/en_soa_list.lng',
			'interface/web/dns/lib/lang/en_soa.lng',
			'interface/web/dns/lib/lang/fr_rr_list.lng',
			'interface/web/dns/lib/lang/fr_rr.lng',
			'interface/web/dns/lib/lang/fr_soa_list.lng',
			'interface/web/dns/lib/lang/fr_soa.lng',
			'interface/web/dns/lib/lang/fr_support_message_list.lng',
			'interface/web/dns/lib/lang/fr_support_message.lng',
			'interface/web/dns/lib/lang/se_rr_list.lng',
			'interface/web/dns/lib/lang/se_rr.lng',
			'interface/web/dns/lib/lang/se_soa_list.lng',
			'interface/web/dns/lib/lang/se_soa.lng',
			'interface/web/dns/list/rr.list.php',
			'interface/web/dns/list/soa.list.php',
			'interface/web/dns_old/form/rr.tform.php',
			'interface/web/dns_old/form/soa.tform.php',
			'interface/web/dns_old/lib/admin.conf.php',
			'interface/web/dns_old/lib/lang/de.lng',
			'interface/web/dns_old/lib/lang/de_rr_list.lng',
			'interface/web/dns_old/lib/lang/de_rr.lng',
			'interface/web/dns_old/lib/lang/de_soa_list.lng',
			'interface/web/dns_old/lib/lang/de_soa.lng',
			'interface/web/dns_old/lib/lang/en.lng',
			'interface/web/dns_old/lib/lang/en_rr_list.lng',
			'interface/web/dns_old/lib/lang/en_rr.lng',
			'interface/web/dns_old/lib/lang/en_soa_list.lng',
			'interface/web/dns_old/lib/lang/en_soa.lng',
			'interface/web/dns_old/lib/lang/fr.lng',
			'interface/web/dns_old/lib/lang/fr_rr_list.lng',
			'interface/web/dns_old/lib/lang/fr_rr.lng',
			'interface/web/dns_old/lib/lang/fr_soa_list.lng',
			'interface/web/dns_old/lib/lang/fr_soa.lng',
			'interface/web/dns_old/lib/lang/se.lng',
			'interface/web/dns_old/lib/lang/se_rr_list.lng',
			'interface/web/dns_old/lib/lang/se_rr.lng',
			'interface/web/dns_old/lib/lang/se_soa_list.lng',
			'interface/web/dns_old/lib/lang/se_soa.lng',
			'interface/web/dns_old/lib/module.conf.php',
			'interface/web/dns_old/list/rr.list.php',
			'interface/web/dns_old/list/soa.list.php',
			'interface/web/dns_old/rr_del.php',
			'interface/web/dns_old/rr_edit.php',
			'interface/web/dns_old/rr_list.php',
			'interface/web/dns_old/soa_del.php',
			'interface/web/dns_old/soa_edit.php',
			'interface/web/dns_old/soa_list.php',
			'interface/web/dns_old/templates/rr_edit.htm',
			'interface/web/dns_old/templates/rr_list.htm',
			'interface/web/dns_old/templates/soa_edit.htm',
			'interface/web/dns_old/templates/soa_edit_rr.htm',
			'interface/web/dns_old/templates/soa_list.htm',
			'interface/web/dns/rr_del.php',
			'interface/web/dns/rr_edit.php',
			'interface/web/dns/rr_list.php',
			'interface/web/dns/soa_del.php',
			'interface/web/dns/soa_edit.php',
			'interface/web/dns/soa_list.php',
			'interface/web/dns/_templates_old/dns_a_edit.htm',
			'interface/web/dns/_templates_old/dns_alias_edit.htm',
			'interface/web/dns/_templates_old/dns_a_list.htm',
			'interface/web/dns/_templates_old/dns_cname_edit.htm',
			'interface/web/dns/_templates_old/dns_hinfo_edit.htm',
			'interface/web/dns/_templates_old/dns_mx_edit.htm',
			'interface/web/dns/_templates_old/dns_ns_edit.htm',
			'interface/web/dns/_templates_old/dns_ptr_edit.htm',
			'interface/web/dns/_templates_old/dns_records_edit.htm',
			'interface/web/dns/_templates_old/dns_rp_edit.htm',
			'interface/web/dns/_templates_old/dns_soa_edit.htm',
			'interface/web/dns/_templates_old/dns_soa_list.htm',
			'interface/web/dns/_templates_old/dns_srv_edit.htm',
			'interface/web/dns/_templates_old/dns_txt_edit.htm',
			'interface/web/dns/templates/rr_edit.htm',
			'interface/web/dns/templates/rr_list.htm',
			'interface/web/dns/templates/soa_edit.htm',
			'interface/web/dns/templates/soa_edit_rr.htm',
			'interface/web/dns/templates/soa_list.htm',
			'interface/web/domain/domain_del.php',
			'interface/web/domain/domain_edit.php',
			'interface/web/domain/domain_list.php',
			'interface/web/domain/domain_new_client.php',
			'interface/web/domain/form/domain.tform.php',
			'interface/web/domain/handle_list.php',
			'interface/web/domain/lib/admin.conf.php',
			'interface/web/domain/lib/lang/ar_domain_list.lng',
			'interface/web/domain/lib/lang/ar_domain.lng',
			'interface/web/domain/lib/lang/ar.lng',
			'interface/web/domain/lib/lang/bg_domain_list.lng',
			'interface/web/domain/lib/lang/bg_domain.lng',
			'interface/web/domain/lib/lang/bg.lng',
			'interface/web/domain/lib/lang/br_domain_list.lng',
			'interface/web/domain/lib/lang/br_domain.lng',
			'interface/web/domain/lib/lang/br.lng',
			'interface/web/domain/lib/lang/cz_domain_list.lng',
			'interface/web/domain/lib/lang/cz_domain.lng',
			'interface/web/domain/lib/lang/cz.lng',
			'interface/web/domain/lib/lang/de_domain_list.lng',
			'interface/web/domain/lib/lang/de_domain.lng',
			'interface/web/domain/lib/lang/de.lng',
			'interface/web/domain/lib/lang/el_domain_list.lng',
			'interface/web/domain/lib/lang/el_domain.lng',
			'interface/web/domain/lib/lang/el.lng',
			'interface/web/domain/lib/lang/en_domain_list.lng',
			'interface/web/domain/lib/lang/en_domain.lng',
			'interface/web/domain/lib/lang/en.lng',
			'interface/web/domain/lib/lang/es_domain_list.lng',
			'interface/web/domain/lib/lang/es_domain.lng',
			'interface/web/domain/lib/lang/es.lng',
			'interface/web/domain/lib/lang/fi_domain_list.lng',
			'interface/web/domain/lib/lang/fi_domain.lng',
			'interface/web/domain/lib/lang/fi.lng',
			'interface/web/domain/lib/lang/fr_domain_list.lng',
			'interface/web/domain/lib/lang/fr_domain.lng',
			'interface/web/domain/lib/lang/fr.lng',
			'interface/web/domain/lib/lang/hr_domain_list.lng',
			'interface/web/domain/lib/lang/hr_domain.lng',
			'interface/web/domain/lib/lang/hr.lng',
			'interface/web/domain/lib/lang/hu_domain_list.lng',
			'interface/web/domain/lib/lang/hu_domain.lng',
			'interface/web/domain/lib/lang/hu.lng',
			'interface/web/domain/lib/lang/id_domain_list.lng',
			'interface/web/domain/lib/lang/id_domain.lng',
			'interface/web/domain/lib/lang/id.lng',
			'interface/web/domain/lib/lang/it_domain_list.lng',
			'interface/web/domain/lib/lang/it_domain.lng',
			'interface/web/domain/lib/lang/it.lng',
			'interface/web/domain/lib/lang/ja_domain_list.lng',
			'interface/web/domain/lib/lang/ja_domain.lng',
			'interface/web/domain/lib/lang/ja.lng',
			'interface/web/domain/lib/lang/nl_domain_list.lng',
			'interface/web/domain/lib/lang/nl_domain.lng',
			'interface/web/domain/lib/lang/nl.lng',
			'interface/web/domain/lib/lang/pl_domain_list.lng',
			'interface/web/domain/lib/lang/pl_domain.lng',
			'interface/web/domain/lib/lang/pl.lng',
			'interface/web/domain/lib/lang/pt_domain_list.lng',
			'interface/web/domain/lib/lang/pt_domain.lng',
			'interface/web/domain/lib/lang/pt.lng',
			'interface/web/domain/lib/lang/ro_domain_list.lng',
			'interface/web/domain/lib/lang/ro_domain.lng',
			'interface/web/domain/lib/lang/ro.lng',
			'interface/web/domain/lib/lang/ru_domain_list.lng',
			'interface/web/domain/lib/lang/ru_domain.lng',
			'interface/web/domain/lib/lang/ru.lng',
			'interface/web/domain/lib/lang/se_domain_list.lng',
			'interface/web/domain/lib/lang/se_domain.lng',
			'interface/web/domain/lib/lang/se.lng',
			'interface/web/domain/lib/lang/sk_domain_list.lng',
			'interface/web/domain/lib/lang/sk_domain.lng',
			'interface/web/domain/lib/lang/sk.lng',
			'interface/web/domain/lib/lang/tr_domain_list.lng',
			'interface/web/domain/lib/lang/tr_domain.lng',
			'interface/web/domain/lib/lang/tr.lng',
			'interface/web/domain/lib/module.conf.php',
			'interface/web/domain/lib/remote.conf.php',
			'interface/web/domain/list/domain.list.php',
			'interface/web/domain/list/handle.list.php',
			'interface/web/domain/list/provider.list.php',
			'interface/web/domain/list/tld.list.php',
			'interface/web/domain/provider_list.php',
			'interface/web/domain/README_DEVELOPER.txt',
			'interface/web/domain/templates/domain_edit.htm',
			'interface/web/domain/templates/domain_handle_list.htm',
			'interface/web/domain/templates/domain_list.htm',
			'interface/web/domain/templates/domain_provider_list.htm',
			'interface/web/domain/templates/domain_tld_list.htm',
			'interface/web/domain/tld_list.php',
			'interface/web/help/_templates_old/support_message_edit.htm',
			'interface/web/help/_templates_old/support_message_list.htm',
			'interface/web/help/_templates_old/support_message_view.htm',
			'interface/web/js/lib/lang/bg_javascript.lng',
			'interface/web/js/lib/lang/de_javascript.lng',
			'interface/web/js/lib/lang/en_javascript.lng',
			'interface/web/js/lib/lang/es_javascript.lng',
			'interface/web/js/lib/lang/fi_javascript.lng',
			'interface/web/js/lib/lang/fr_javascript.lng',
			'interface/web/js/lib/lang/it_javascript.lng',
			'interface/web/js/lib/lang/nl_javascript.lng',
			'interface/web/js/lib/lang/ru_javascript.lng',
			'interface/web/js/lib/lang/se_javascript.lng',
			'interface/web/js/scrigo.js',
			'interface/web/js/yui/animation/animation-debug.js',
			'interface/web/js/yui/animation/animation.js',
			'interface/web/js/yui/animation/animation-min.js',
			'interface/web/js/yui/animation/README',
			'interface/web/js/yui/autocomplete/autocomplete-debug.js',
			'interface/web/js/yui/autocomplete/autocomplete.js',
			'interface/web/js/yui/autocomplete/autocomplete-min.js',
			'interface/web/js/yui/autocomplete/README',
			'interface/web/js/yui/button/assets/background.png',
			'interface/web/js/yui/button/assets/button.css',
			'interface/web/js/yui/button/assets/menuarrow.gif',
			'interface/web/js/yui/button/assets/splitarrow_active.gif',
			'interface/web/js/yui/button/assets/splitarrow.gif',
			'interface/web/js/yui/button/button-beta-debug.js',
			'interface/web/js/yui/button/button-beta.js',
			'interface/web/js/yui/button/button-beta-min.js',
			'interface/web/js/yui/button/README',
			'interface/web/js/yui/calendar/assets/calendar.css',
			'interface/web/js/yui/calendar/assets/callt.gif',
			'interface/web/js/yui/calendar/assets/calrt.gif',
			'interface/web/js/yui/calendar/assets/calx.gif',
			'interface/web/js/yui/calendar/calendar-debug.js',
			'interface/web/js/yui/calendar/calendar.js',
			'interface/web/js/yui/calendar/calendar-min.js',
			'interface/web/js/yui/calendar/README',
			'interface/web/js/yui-combo.js',
			'interface/web/js/yui/connection/connection-debug.js',
			'interface/web/js/yui/connection/connection.js',
			'interface/web/js/yui/connection/connection-min.js',
			'interface/web/js/yui/connection/README',
			'interface/web/js/yui/container/assets/alrt16_1.gif',
			'interface/web/js/yui/container/assets/blck16_1.gif',
			'interface/web/js/yui/container/assets/close12_1.gif',
			'interface/web/js/yui/container/assets/container.css',
			'interface/web/js/yui/container/assets/hlp16_1.gif',
			'interface/web/js/yui/container/assets/info16_1.gif',
			'interface/web/js/yui/container/assets/tip16_1.gif',
			'interface/web/js/yui/container/assets/warn16_1.gif',
			'interface/web/js/yui/container/container_core-debug.js',
			'interface/web/js/yui/container/container_core.js',
			'interface/web/js/yui/container/container_core-min.js',
			'interface/web/js/yui/container/container-debug.js',
			'interface/web/js/yui/container/container.js',
			'interface/web/js/yui/container/container-min.js',
			'interface/web/js/yui/container/README',
			'interface/web/js/yui/datasource/datasource-beta-debug.js',
			'interface/web/js/yui/datasource/datasource-beta.js',
			'interface/web/js/yui/datasource/datasource-beta-min.js',
			'interface/web/js/yui/datasource/README',
			'interface/web/js/yui/datatable/assets/datatable.css',
			'interface/web/js/yui/datatable/datatable-beta-debug.js',
			'interface/web/js/yui/datatable/datatable-beta.js',
			'interface/web/js/yui/datatable/datatable-beta-min.js',
			'interface/web/js/yui/datatable/README',
			'interface/web/js/yui/dom/dom-debug.js',
			'interface/web/js/yui/dom/dom.js',
			'interface/web/js/yui/dom/dom-min.js',
			'interface/web/js/yui/dom/README',
			'interface/web/js/yui/dragdrop/dragdrop-debug.js',
			'interface/web/js/yui/dragdrop/dragdrop.js',
			'interface/web/js/yui/dragdrop/dragdrop-min.js',
			'interface/web/js/yui/dragdrop/README',
			'interface/web/js/yui/element/element-beta-debug.js',
			'interface/web/js/yui/element/element-beta.js',
			'interface/web/js/yui/element/element-beta-min.js',
			'interface/web/js/yui/element/README',
			'interface/web/js/yui/event/event-debug.js',
			'interface/web/js/yui/event/event.js',
			'interface/web/js/yui/event/event-min.js',
			'interface/web/js/yui/event/README',
			'interface/web/js/yui/fonts/fonts.css',
			'interface/web/js/yui/fonts/fonts-min.css',
			'interface/web/js/yui/fonts/README',
			'interface/web/js/yui/grids/grids.css',
			'interface/web/js/yui/grids/grids-min.css',
			'interface/web/js/yui/grids/README',
			'interface/web/js/yui/history/assets/blank.html',
			'interface/web/js/yui/history/history-experimental-debug.js',
			'interface/web/js/yui/history/history-experimental.js',
			'interface/web/js/yui/history/history-experimental-min.js',
			'interface/web/js/yui/history/README',
			'interface/web/js/yui/logger/assets/logger.css',
			'interface/web/js/yui/logger/logger-debug.js',
			'interface/web/js/yui/logger/logger.js',
			'interface/web/js/yui/logger/logger-min.js',
			'interface/web/js/yui/logger/README',
			'interface/web/js/yui/menu/assets/map.gif',
			'interface/web/js/yui/menu/assets/menuarodwn8_dim_1.gif',
			'interface/web/js/yui/menu/assets/menuarodwn8_hov_1.gif',
			'interface/web/js/yui/menu/assets/menuarodwn8_nrm_1.gif',
			'interface/web/js/yui/menu/assets/menuarorght8_dim_1.gif',
			'interface/web/js/yui/menu/assets/menuarorght8_hov_1.gif',
			'interface/web/js/yui/menu/assets/menuarorght8_nrm_1.gif',
			'interface/web/js/yui/menu/assets/menuaroup8_dim_1.gif',
			'interface/web/js/yui/menu/assets/menuaroup8_nrm_1.gif',
			'interface/web/js/yui/menu/assets/menuchk8_dim_1.gif',
			'interface/web/js/yui/menu/assets/menuchk8_hov_1.gif',
			'interface/web/js/yui/menu/assets/menuchk8_nrm_1.gif',
			'interface/web/js/yui/menu/assets/menu.css',
			'interface/web/js/yui/menu/menu-debug.js',
			'interface/web/js/yui/menu/menu.js',
			'interface/web/js/yui/menu/menu-min.js',
			'interface/web/js/yui/menu/README',
			'interface/web/js/yui/reset-fonts-grids/README',
			'interface/web/js/yui/reset-fonts-grids/reset-fonts-grids.css',
			'interface/web/js/yui/reset/README',
			'interface/web/js/yui/reset/reset.css',
			'interface/web/js/yui/reset/reset-min.css',
			'interface/web/js/yui/slider/README',
			'interface/web/js/yui/slider/slider-debug.js',
			'interface/web/js/yui/slider/slider.js',
			'interface/web/js/yui/slider/slider-min.js',
			'interface/web/js/yui/tabview/assets/border_tabs.css',
			'interface/web/js/yui/tabview/assets/tabview.css',
			'interface/web/js/yui/tabview/README',
			'interface/web/js/yui/tabview/tabview-debug.js',
			'interface/web/js/yui/tabview/tabview.js',
			'interface/web/js/yui/tabview/tabview-min.js',
			'interface/web/js/yui/treeview/assets/lm.gif',
			'interface/web/js/yui/treeview/assets/lmh.gif',
			'interface/web/js/yui/treeview/assets/ln.gif',
			'interface/web/js/yui/treeview/assets/loading.gif',
			'interface/web/js/yui/treeview/assets/lp.gif',
			'interface/web/js/yui/treeview/assets/lph.gif',
			'interface/web/js/yui/treeview/assets/tm.gif',
			'interface/web/js/yui/treeview/assets/tmh.gif',
			'interface/web/js/yui/treeview/assets/tn.gif',
			'interface/web/js/yui/treeview/assets/tp.gif',
			'interface/web/js/yui/treeview/assets/tph.gif',
			'interface/web/js/yui/treeview/assets/tree.css',
			'interface/web/js/yui/treeview/assets/vline.gif',
			'interface/web/js/yui/treeview/README',
			'interface/web/js/yui/treeview/treeview-debug.js',
			'interface/web/js/yui/treeview/treeview.js',
			'interface/web/js/yui/treeview/treeview-min.js',
			'interface/web/js/yui/utilities/README',
			'interface/web/js/yui/utilities/utilities.js',
			'interface/web/js/yui/yahoo-dom-event/README',
			'interface/web/js/yui/yahoo-dom-event/yahoo-dom-event.js',
			'interface/web/js/yui/yahoo/README',
			'interface/web/js/yui/yahoo/yahoo-debug.js',
			'interface/web/js/yui/yahoo/yahoo.js',
			'interface/web/js/yui/yahoo/yahoo-min.js',
			'interface/web/lang/lib/lang/bg_list.lng',
			'interface/web/lang/lib/lang/bg_tform.lng',
			'interface/web/lang/lib/lang/de_list.lng',
			'interface/web/lang/lib/lang/de_tform.lng',
			'interface/web/lang/lib/lang/en_list.lng',
			'interface/web/lang/lib/lang/en_tform.lng',
			'interface/web/lang/lib/lang/es_list.lng',
			'interface/web/lang/lib/lang/es_tform.lng',
			'interface/web/lang/lib/lang/fr_list.lng',
			'interface/web/lang/lib/lang/fr_tform.lng',
			'interface/web/lang/lib/lang/it_list.lng',
			'interface/web/lang/lib/lang/it_tform.lng',
			'interface/web/lang/lib/lang/nl_list.lng',
			'interface/web/lang/lib/lang/nl_tform.lng',
			'interface/web/lang/lib/lang/ru_list.lng',
			'interface/web/lang/lib/lang/ru_tform.lng',
			'interface/web/lang/lib/lang/se_list.lng',
			'interface/web/lang/lib/lang/se_tform.lng',
			'interface/web/login/_index.php',
			'interface/web/login/_templates_old/index.htm',
			'interface/web/login/_templates_old/password_reset.htm',
			'interface/web/mail/form/mail_box.tform.php',
			'interface/web/mail/form/mail_domain_alias.tform.php',
			'interface/web/mail/form/mail_domain_relay.tform.php',
			'interface/web/mail/form/_old_mail_domain_catchall.tform.php',
			'interface/web/mail/it.lng',
			'interface/web/mail/it_mail_alias_list.lng',
			'interface/web/mail/it_mail_alias.lng',
			'interface/web/mail/it_mail_blacklist_list.lng',
			'interface/web/mail/it_mail_blacklist.lng',
			'interface/web/mail/it_mail_content_filter_list.lng',
			'interface/web/mail/it_mail_content_filter.lng',
			'interface/web/mail/it_mail_domain_catchall_list.lng',
			'interface/web/mail/it_mail_domain_catchall.lng',
			'interface/web/mail/it_mail_domain_list.lng',
			'interface/web/mail/it_mail_domain.lng',
			'interface/web/mail/it_mail_forward_list.lng',
			'interface/web/mail/it_mail_forward.lng',
			'interface/web/mail/it_mail_get_list.lng',
			'interface/web/mail/it_mail_get.lng',
			'interface/web/mail/it_mail_spamfilter_list.lng',
			'interface/web/mail/it_mail_spamfilter.lng',
			'interface/web/mail/it_mail_transport_list.lng',
			'interface/web/mail/it_mail_transport.lng',
			'interface/web/mail/it_mail_user_filter_list.lng',
			'interface/web/mail/it_mail_user_filter.lng',
			'interface/web/mail/it_mail_user_list.lng',
			'interface/web/mail/it_mail_user.lng',
			'interface/web/mail/it_mail_user_stats_list.lng',
			'interface/web/mail/it_mail_whitelist_list.lng',
			'interface/web/mail/it_mail_whitelist.lng',
			'interface/web/mail/it_spamfilter_blacklist_list.lng',
			'interface/web/mail/it_spamfilter_blacklist.lng',
			'interface/web/mail/it_spamfilter_config_list.lng',
			'interface/web/mail/it_spamfilter_config.lng',
			'interface/web/mail/it_spamfilter_policy_list.lng',
			'interface/web/mail/it_spamfilter_policy.lng',
			'interface/web/mail/it_spamfilter_users_list.lng',
			'interface/web/mail/it_spamfilter_users.lng',
			'interface/web/mail/it_spamfilter_whitelist_list.lng',
			'interface/web/mail/it_spamfilter_whitelist.lng',
			'interface/web/mail/lib/lang/en_mail_box_list.lng',
			'interface/web/mail/lib/lang/en_mail_box.lng',
			'interface/web/mail/lib/lang/en_mail_domain_alias_list.lng',
			'interface/web/mail/lib/lang/en_mail_domain_alias.lng',
			'interface/web/mail/lib/lang/en_mail_domain_relay_list.lng',
			'interface/web/mail/lib/lang/en_mail_domain_relay.lng',
			'interface/web/mail/lib/lang/se_mail_box_list.lng',
			'interface/web/mail/lib/lang/se_mail_box.lng',
			'interface/web/mail/lib/lang/se_mail_domain_alias_list.lng',
			'interface/web/mail/lib/lang/se_mail_domain_alias.lng',
			'interface/web/mail/lib/lang/se_mail_domain_relay_list.lng',
			'interface/web/mail/lib/lang/se_mail_domain_relay.lng',
			'interface/web/mail/list/mail_box.list.php',
			'interface/web/mail/list/mail_domain_alias.list.php',
			'interface/web/mail/list/mail_domain_relay.list.php',
			'interface/web/mail/mail_box_del.php',
			'interface/web/mail/mail_box_edit.php',
			'interface/web/mail/mail_box_list.php',
			'interface/web/mail/mail_domain_alias_del.php',
			'interface/web/mail/mail_domain_alias_edit.php',
			'interface/web/mail/mail_domain_alias_list.php',
			'interface/web/mail/mail_domain_relay_del.php',
			'interface/web/mail/mail_domain_relay_edit.php',
			'interface/web/mail/mail_domain_relay_list.php',
			'interface/web/mail/mail_domain_route_del.php',
			'interface/web/mail/mail_domain_route_edit.php',
			'interface/web/mail/mail_domain_route_list.php',
			'interface/web/mail/templates/mail_box_autoresponder_edit.htm',
			'interface/web/mail/templates/mail_box_list.htm',
			'interface/web/mail/templates/mail_box_mailbox_edit.htm',
			'interface/web/mail/templates/mail_box_mailuser_edit.htm',
			'interface/web/mail/templates/mail_domain_alias_edit.htm',
			'interface/web/mail/templates/mail_domain_alias_list.htm',
			'interface/web/mail/templates/mail_domain_relay_edit.htm',
			'interface/web/mail/templates/mail_domain_relay_list.htm',
			'interface/web/mail/templates/mail_spamfilter_edit.htm',
			'interface/web/mail/templates/mail_spamfilter_list.htm',
			'interface/web/mail/templates/mail_user_mailuser_edit.htm',
			'interface/web/mail/_templates_old/mail_alias_edit.htm',
			'interface/web/mail/_templates_old/mail_alias_list.htm',
			'interface/web/mail/_templates_old/mail_blacklist_edit.htm',
			'interface/web/mail/_templates_old/mail_blacklist_list.htm',
			'interface/web/mail/_templates_old/mail_box_mailuser_edit.htm',
			'interface/web/mail/_templates_old/mail_content_filter_edit.htm',
			'interface/web/mail/_templates_old/mail_content_filter_list.htm',
			'interface/web/mail/_templates_old/mail_domain_catchall_edit.htm',
			'interface/web/mail/_templates_old/mail_domain_catchall_list.htm',
			'interface/web/mail/_templates_old/mail_domain_edit.htm',
			'interface/web/mail/_templates_old/mail_domain_list.htm',
			'interface/web/mail/_templates_old/mail_forward_edit.htm',
			'interface/web/mail/_templates_old/mail_forward_list.htm',
			'interface/web/mail/_templates_old/mail_get_edit.htm',
			'interface/web/mail/_templates_old/mail_get_list.htm',
			'interface/web/mail/_templates_old/mail_spamfilter_edit.htm',
			'interface/web/mail/_templates_old/mail_transport_edit.htm',
			'interface/web/mail/_templates_old/mail_transport_list.htm',
			'interface/web/mail/_templates_old/mail_user_autoresponder_edit.htm',
			'interface/web/mail/_templates_old/mail_user_custom_rules_edit.htm',
			'interface/web/mail/_templates_old/mail_user_filter_edit.htm',
			'interface/web/mail/_templates_old/mail_user_filter_list.htm',
			'interface/web/mail/_templates_old/mail_user_list.htm',
			'interface/web/mail/_templates_old/mail_user_mailbox_edit.htm',
			'interface/web/mail/_templates_old/mail_user_mailfilter_edit.htm',
			'interface/web/mail/_templates_old/mail_user_mailuser_edit.htm',
			'interface/web/mail/_templates_old/mail_user_stats_list.htm',
			'interface/web/mail/_templates_old/mail_whitelist_edit.htm',
			'interface/web/mail/_templates_old/mail_whitelist_list.htm',
			'interface/web/mail/_templates_old/spamfilter_blacklist_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_blacklist_list.htm',
			'interface/web/mail/_templates_old/spamfilter_config_getmail_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_config_list.htm',
			'interface/web/mail/_templates_old/spamfilter_config_mail_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_config_server_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_other_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_policy_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_policy_list.htm',
			'interface/web/mail/_templates_old/spamfilter_quarantine_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_taglevel_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_users_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_users_list.htm',
			'interface/web/mail/_templates_old/spamfilter_whitelist_edit.htm',
			'interface/web/mail/_templates_old/spamfilter_whitelist_list.htm',
			'interface/web/media/thumbnails/thumb_3.png',
			'interface/web/monitor/logview.php',
			'interface/web/monitor/system.php',
			'interface/web/monitor/templates/logview.htm',
			'interface/web/monitor/_templates_old/logview.htm',
			'interface/web/monitor/_templates_old/system.htm',
			'interface/web/monitor/templates/system.htm',
			'interface/web/monitor/tools.inc.php',
			'interface/web/resellers/form/reseller.tform.php',
			'interface/web/resellers/lib/admin.conf.php',
			'interface/web/resellers/lib/lang/en.lng',
			'interface/web/resellers/lib/lang/en_reseller.lng',
			'interface/web/resellers/lib/lang/en_resellers_list.lng',
			'interface/web/resellers/lib/lang/en_users_list.lng',
			'interface/web/resellers/lib/lang/fr.lng',
			'interface/web/resellers/lib/lang/fr_reseller.lng',
			'interface/web/resellers/lib/lang/fr_resellers_list.lng',
			'interface/web/resellers/lib/lang/fr_users_list.lng',
			'interface/web/resellers/lib/lang/se.lng',
			'interface/web/resellers/lib/lang/se_reseller.lng',
			'interface/web/resellers/lib/lang/se_resellers_list.lng',
			'interface/web/resellers/lib/lang/se_users_list.lng',
			'interface/web/resellers/lib/module.conf.php',
			'interface/web/resellers/list/reseller.list.php',
			'interface/web/resellers/list/users.list.php',
			'interface/web/resellers/reseller_del.php',
			'interface/web/resellers/reseller_edit.php',
			'interface/web/resellers/reseller_list.php',
			'interface/web/resellers/templates/paging.tpl.htm',
			'interface/web/resellers/templates/reseller_edit_address.htm',
			'interface/web/resellers/templates/reseller_edit_ipaddress.htm',
			'interface/web/resellers/templates/reseller_edit_limits.htm',
			'interface/web/resellers/templates/reseller_edit_users.htm',
			'interface/web/resellers/templates/resellers_list.htm',
			'interface/web/resellers/templates/users_list.htm',
			'interface/web/sandbox-remote_client/class.ispconfig.remote.client.php',
			'interface/web/sandbox-remote_client/README.txt',
			'interface/web/sites/ajax_get_fastcgi_php_versions.php',
			'interface/web/sites/aps_install_package.php.bak',
			'interface/web/sites/form/mail_alias.tform.php',
			'interface/web/sites/form/mail_blacklist.tform.php',
			'interface/web/sites/form/mail_box.tform.php',
			'interface/web/sites/form/mail_domain_alias.tform.php',
			'interface/web/sites/form/mail_domain_catchall.tform.php',
			'interface/web/sites/form/mail_domain_relay.tform.php',
			'interface/web/sites/form/mail_domain.tform.php',
			'interface/web/sites/form/mail_forward.tform.php',
			'interface/web/sites/form/mail_whitelist.tform.php',
			'interface/web/sites/form/web_aliasdomain.tform.php',
			'interface/web/sites/form/web_domain.tform.php',
			'interface/web/sites/form/web_folder.tform.php.bak',
			'interface/web/sites/form/web_subdomain.tform.php',
			'interface/web/sites/form/web_vhost_aliasdomain.tform.php',
			'interface/web/sites/form/web_vhost_subdomain.tform.php',
			'interface/web/sites/lib/lang/ar_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ar_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/ar_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/ar_web_domain_list.lng',
			'interface/web/sites/lib/lang/ar_web_domain.lng',
			'interface/web/sites/lib/lang/ar_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/ar_web_subdomain.lng',
			'interface/web/sites/lib/lang/ar_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ar_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/ar_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/ar_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/bg_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/bg_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/bg_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/bg_web_domain_list.lng',
			'interface/web/sites/lib/lang/bg_web_domain.lng',
			'interface/web/sites/lib/lang/bg_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/bg_web_subdomain.lng',
			'interface/web/sites/lib/lang/bg_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/bg_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/bg_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/bg_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/br_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/br_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/br_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/br_web_domain_list.lng',
			'interface/web/sites/lib/lang/br_web_domain.lng',
			'interface/web/sites/lib/lang/br_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/br_web_subdomain.lng',
			'interface/web/sites/lib/lang/br_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/br_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/br_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/br_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/cz_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/cz_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/cz_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/cz_web_domain_list.lng',
			'interface/web/sites/lib/lang/cz_web_domain.lng',
			'interface/web/sites/lib/lang/cz_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/cz_web_subdomain.lng',
			'interface/web/sites/lib/lang/cz_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/cz_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/cz_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/cz_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/de_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/de_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/de_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/de_web_domain_list.lng',
			'interface/web/sites/lib/lang/de_web_domain.lng',
			'interface/web/sites/lib/lang/de_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/de_web_subdomain.lng',
			'interface/web/sites/lib/lang/de_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/de_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/de_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/de_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/el_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/el_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/el_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/el_web_domain_list.lng',
			'interface/web/sites/lib/lang/el_web_domain.lng',
			'interface/web/sites/lib/lang/el_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/el_web_subdomain.lng',
			'interface/web/sites/lib/lang/el_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/el_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/el_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/el_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/en_mail_alias_list.lng',
			'interface/web/sites/lib/lang/en_mail_alias.lng',
			'interface/web/sites/lib/lang/en_mail_blacklist_list.lng',
			'interface/web/sites/lib/lang/en_mail_blacklist.lng',
			'interface/web/sites/lib/lang/en_mail_box_list.lng',
			'interface/web/sites/lib/lang/en_mail_box.lng',
			'interface/web/sites/lib/lang/en_mail_domain_alias_list.lng',
			'interface/web/sites/lib/lang/en_mail_domain_alias.lng',
			'interface/web/sites/lib/lang/en_mail_domain_catchall_list.lng',
			'interface/web/sites/lib/lang/en_mail_domain_catchall.lng',
			'interface/web/sites/lib/lang/en_mail_domain_list.lng',
			'interface/web/sites/lib/lang/en_mail_domain.lng',
			'interface/web/sites/lib/lang/en_mail_domain_relay_list.lng',
			'interface/web/sites/lib/lang/en_mail_domain_relay.lng',
			'interface/web/sites/lib/lang/en_mail_forward_list.lng',
			'interface/web/sites/lib/lang/en_mail_forward.lng',
			'interface/web/sites/lib/lang/en_mail_whitelist_list.lng',
			'interface/web/sites/lib/lang/en_mail_whitelist.lng',
			'interface/web/sites/lib/lang/en_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/en_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/en_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/en_web_domain_list.lng',
			'interface/web/sites/lib/lang/en_web_domain.lng',
			'interface/web/sites/lib/lang/en_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/en_web_subdomain.lng',
			'interface/web/sites/lib/lang/en_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/en_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/en_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/en_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/es_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/es_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/es_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/es_web_domain_list.lng',
			'interface/web/sites/lib/lang/es_web_domain.lng',
			'interface/web/sites/lib/lang/es_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/es_web_subdomain.lng',
			'interface/web/sites/lib/lang/es_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/es_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/es_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/es_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/fi_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/fi_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/fi_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/fi_web_domain_list.lng',
			'interface/web/sites/lib/lang/fi_web_domain.lng',
			'interface/web/sites/lib/lang/fi_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/fi_web_subdomain.lng',
			'interface/web/sites/lib/lang/fi_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/fi_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/fi_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/fi_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/fr_mail_domain_list.lng',
			'interface/web/sites/lib/lang/fr_mail_domain.lng',
			'interface/web/sites/lib/lang/fr_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/fr_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/fr_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/fr_web_domain_list.lng',
			'interface/web/sites/lib/lang/fr_web_domain.lng',
			'interface/web/sites/lib/lang/fr_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/fr_web_subdomain.lng',
			'interface/web/sites/lib/lang/fr_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/fr_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/fr_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/fr_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/hr_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/hr_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/hr_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/hr_web_domain_list.lng',
			'interface/web/sites/lib/lang/hr_web_domain.lng',
			'interface/web/sites/lib/lang/hr_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/hr_web_subdomain.lng',
			'interface/web/sites/lib/lang/hr_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/hr_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/hr_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/hr_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/hu_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/hu_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/hu_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/hu_web_domain_list.lng',
			'interface/web/sites/lib/lang/hu_web_domain.lng',
			'interface/web/sites/lib/lang/hu_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/hu_web_subdomain.lng',
			'interface/web/sites/lib/lang/hu_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/hu_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/hu_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/hu_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/id_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/id_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/id_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/id_web_domain_list.lng',
			'interface/web/sites/lib/lang/id_web_domain.lng',
			'interface/web/sites/lib/lang/id_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/id_web_subdomain.lng',
			'interface/web/sites/lib/lang/id_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/id_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/id_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/id_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/it_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/it_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/it_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/it_web_domain_list.lng',
			'interface/web/sites/lib/lang/it_web_domain.lng',
			'interface/web/sites/lib/lang/it_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/it_web_subdomain.lng',
			'interface/web/sites/lib/lang/it_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/it_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/it_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/it_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/ja_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ja_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/ja_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/ja_web_domain_list.lng',
			'interface/web/sites/lib/lang/ja_web_domain.lng',
			'interface/web/sites/lib/lang/ja_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/ja_web_subdomain.lng',
			'interface/web/sites/lib/lang/ja_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ja_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/ja_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/ja_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/nl_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/nl_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/nl_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/nl_web_domain_list.lng',
			'interface/web/sites/lib/lang/nl_web_domain.lng',
			'interface/web/sites/lib/lang/nl_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/nl_web_subdomain.lng',
			'interface/web/sites/lib/lang/nl_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/nl_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/nl_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/nl_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/pl_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/pl_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/pl_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/pl_web_domain_list.lng',
			'interface/web/sites/lib/lang/pl_web_domain.lng',
			'interface/web/sites/lib/lang/pl_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/pl_web_subdomain.lng',
			'interface/web/sites/lib/lang/pl_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/pl_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/pl_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/pl_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/pt_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/pt_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/pt_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/pt_web_domain_list.lng',
			'interface/web/sites/lib/lang/pt_web_domain.lng',
			'interface/web/sites/lib/lang/pt_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/pt_web_subdomain.lng',
			'interface/web/sites/lib/lang/pt_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/pt_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/pt_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/pt_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/ro_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ro_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/ro_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/ro_web_domain_list.lng',
			'interface/web/sites/lib/lang/ro_web_domain.lng',
			'interface/web/sites/lib/lang/ro_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/ro_web_subdomain.lng',
			'interface/web/sites/lib/lang/ro_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ro_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/ro_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/ro_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/ru_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ru_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/ru_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/ru_web_domain_list.lng',
			'interface/web/sites/lib/lang/ru_web_domain.lng',
			'interface/web/sites/lib/lang/ru_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/ru_web_subdomain.lng',
			'interface/web/sites/lib/lang/ru_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/ru_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/ru_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/ru_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/se_mail_alias_list.lng',
			'interface/web/sites/lib/lang/se_mail_alias.lng',
			'interface/web/sites/lib/lang/se_mail_blacklist_list.lng',
			'interface/web/sites/lib/lang/se_mail_blacklist.lng',
			'interface/web/sites/lib/lang/se_mail_box_list.lng',
			'interface/web/sites/lib/lang/se_mail_box.lng',
			'interface/web/sites/lib/lang/se_mail_domain_alias_list.lng',
			'interface/web/sites/lib/lang/se_mail_domain_alias.lng',
			'interface/web/sites/lib/lang/se_mail_domain_catchall_list.lng',
			'interface/web/sites/lib/lang/se_mail_domain_catchall.lng',
			'interface/web/sites/lib/lang/se_mail_domain_list.lng',
			'interface/web/sites/lib/lang/se_mail_domain.lng',
			'interface/web/sites/lib/lang/se_mail_domain_relay_list.lng',
			'interface/web/sites/lib/lang/se_mail_domain_relay.lng',
			'interface/web/sites/lib/lang/se_mail_forward_list.lng',
			'interface/web/sites/lib/lang/se_mail_forward.lng',
			'interface/web/sites/lib/lang/se_mail_whitelist_list.lng',
			'interface/web/sites/lib/lang/se_mail_whitelist.lng',
			'interface/web/sites/lib/lang/se_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/se_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/se_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/se_web_domain_list.lng',
			'interface/web/sites/lib/lang/se_web_domain.lng',
			'interface/web/sites/lib/lang/se_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/se_web_subdomain.lng',
			'interface/web/sites/lib/lang/se_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/se_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/se_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/se_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/sk_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/sk_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/sk_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/sk_web_domain_list.lng',
			'interface/web/sites/lib/lang/sk_web_domain.lng',
			'interface/web/sites/lib/lang/sk_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/sk_web_subdomain.lng',
			'interface/web/sites/lib/lang/sk_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/sk_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/sk_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/sk_web_vhost_subdomain.lng',
			'interface/web/sites/lib/lang/tr_web_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/tr_web_aliasdomain.lng',
			'interface/web/sites/lib/lang/tr_web_domain_admin_list.lng',
			'interface/web/sites/lib/lang/tr_web_domain_list.lng',
			'interface/web/sites/lib/lang/tr_web_domain.lng',
			'interface/web/sites/lib/lang/tr_web_subdomain_list.lng',
			'interface/web/sites/lib/lang/tr_web_subdomain.lng',
			'interface/web/sites/lib/lang/tr_web_vhost_aliasdomain_list.lng',
			'interface/web/sites/lib/lang/tr_web_vhost_aliasdomain.lng',
			'interface/web/sites/lib/lang/tr_web_vhost_subdomain_list.lng',
			'interface/web/sites/lib/lang/tr_web_vhost_subdomain.lng',
			'interface/web/sites/list/mail_alias.list.php',
			'interface/web/sites/list/mail_blacklist.list.php',
			'interface/web/sites/list/mail_box.list.php',
			'interface/web/sites/list/mail_domain_alias.list.php',
			'interface/web/sites/list/mail_domain_catchall.list.php',
			'interface/web/sites/list/mail_domain.list.php',
			'interface/web/sites/list/mail_domain_relay.list.php',
			'interface/web/sites/list/mail_forward.list.php',
			'interface/web/sites/list/mail_whitelist.list.php',
			'interface/web/sites/list/web_aliasdomain.list.php',
			'interface/web/sites/list/web_domain.list.php',
			'interface/web/sites/list/web_folder.list.php.bak',
			'interface/web/sites/list/web_subdomain.list.php',
			'interface/web/sites/list/web_vhost_aliasdomain.list.php',
			'interface/web/sites/list/web_vhost_subdomain.list.php',
			'interface/web/sites/mail_alias_del.php',
			'interface/web/sites/mail_alias_edit.php',
			'interface/web/sites/mail_alias_list.php',
			'interface/web/sites/mail_blacklist_del.php',
			'interface/web/sites/mail_blacklist_edit.php',
			'interface/web/sites/mail_blacklist_list.php',
			'interface/web/sites/mail_box_del.php',
			'interface/web/sites/mail_box_edit.php',
			'interface/web/sites/mail_box_list.php',
			'interface/web/sites/mail_domain_alias_del.php',
			'interface/web/sites/mail_domain_alias_edit.php',
			'interface/web/sites/mail_domain_alias_list.php',
			'interface/web/sites/mail_domain_catchall_del.php',
			'interface/web/sites/mail_domain_catchall_edit.php',
			'interface/web/sites/mail_domain_catchall_list.php',
			'interface/web/sites/mail_domain_del.php',
			'interface/web/sites/mail_domain_edit.php',
			'interface/web/sites/mail_domain_list.php',
			'interface/web/sites/mail_domain_relay_del.php',
			'interface/web/sites/mail_domain_relay_edit.php',
			'interface/web/sites/mail_domain_relay_list.php',
			'interface/web/sites/mail_forward_del.php',
			'interface/web/sites/mail_forward_edit.php',
			'interface/web/sites/mail_forward_list.php',
			'interface/web/sites/mail_whitelist_del.php',
			'interface/web/sites/mail_whitelist_edit.php',
			'interface/web/sites/mail_whitelist_list.php',
			'interface/web/sites/templates/mail_alias_edit.htm',
			'interface/web/sites/templates/mail_alias_list.htm',
			'interface/web/sites/templates/mail_blacklist_edit.htm',
			'interface/web/sites/templates/mail_blacklist_list.htm',
			'interface/web/sites/templates/mail_box_autoresponder_edit.htm',
			'interface/web/sites/templates/mail_box_list.htm',
			'interface/web/sites/templates/mail_box_mailbox_edit.htm',
			'interface/web/sites/templates/mail_domain_alias_edit.htm',
			'interface/web/sites/templates/mail_domain_alias_list.htm',
			'interface/web/sites/templates/mail_domain_catchall_edit.htm',
			'interface/web/sites/templates/mail_domain_catchall_list.htm',
			'interface/web/sites/templates/mail_domain_edit.htm',
			'interface/web/sites/templates/mail_domain_list.htm',
			'interface/web/sites/templates/mail_domain_relay_edit.htm',
			'interface/web/sites/templates/mail_domain_relay_list.htm',
			'interface/web/sites/templates/mail_forward_edit.htm',
			'interface/web/sites/templates/mail_forward_list.htm',
			'interface/web/sites/templates/mail_whitelist_edit.htm',
			'interface/web/sites/templates/mail_whitelist_list.htm',
			'interface/web/sites/_templates_old/database_edit.htm',
			'interface/web/sites/_templates_old/database_list.htm',
			'interface/web/sites/_templates_old/ftp_user_advanced.htm',
			'interface/web/sites/_templates_old/ftp_user_edit.htm',
			'interface/web/sites/_templates_old/ftp_user_list.htm',
			'interface/web/sites/_templates_old/shell_user_advanced.htm',
			'interface/web/sites/_templates_old/shell_user_edit.htm',
			'interface/web/sites/_templates_old/shell_user_list.htm',
			'interface/web/sites/_templates_old/web_aliasdomain_edit.htm',
			'interface/web/sites/_templates_old/web_aliasdomain_list.htm',
			'interface/web/sites/_templates_old/web_domain_advanced.htm',
			'interface/web/sites/_templates_old/web_domain_edit.htm',
			'interface/web/sites/_templates_old/web_domain_list.htm',
			'interface/web/sites/_templates_old/web_domain_redirect.htm',
			'interface/web/sites/_templates_old/web_domain_ssl.htm',
			'interface/web/sites/_templates_old/web_subdomain_edit.htm',
			'interface/web/sites/_templates_old/web_subdomain_list.htm',
			'interface/web/sites/templates/web_aliasdomain_advanced.htm',
			'interface/web/sites/templates/web_aliasdomain_edit.htm',
			'interface/web/sites/templates/web_aliasdomain_list.htm',
			'interface/web/sites/templates/web_domain_admin_list.htm',
			'interface/web/sites/templates/web_domain_advanced.htm',
			'interface/web/sites/templates/web_domain_backup.htm',
			'interface/web/sites/templates/web_domain_edit.htm',
			'interface/web/sites/templates/web_domain_list.htm',
			'interface/web/sites/templates/web_domain_logs.htm',
			'interface/web/sites/templates/web_domain_redirect.htm',
			'interface/web/sites/templates/web_domain_ssl.htm',
			'interface/web/sites/templates/web_domain_stats.htm',
			'interface/web/sites/templates/web_sites_stats_list.htm.bak',
			'interface/web/sites/templates/web_subdomain_advanced.htm',
			'interface/web/sites/templates/web_subdomain_edit.htm',
			'interface/web/sites/templates/web_subdomain_list.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_advanced.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_backup.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_edit.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_list.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_redirect.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_ssl.htm',
			'interface/web/sites/templates/web_vhost_aliasdomain_stats.htm',
			'interface/web/sites/templates/web_vhost_subdomain_advanced.htm',
			'interface/web/sites/templates/web_vhost_subdomain_backup.htm',
			'interface/web/sites/templates/web_vhost_subdomain_edit.htm',
			'interface/web/sites/templates/web_vhost_subdomain_list.htm',
			'interface/web/sites/templates/web_vhost_subdomain_redirect.htm',
			'interface/web/sites/templates/web_vhost_subdomain_ssl.htm',
			'interface/web/sites/templates/web_vhost_subdomain_stats.htm',
			'interface/web/sites/tools.inc.php',
			'interface/web/sites/web_aliasdomain_edit.php.bak',
			'interface/web/sites/web_domain_del.php',
			'interface/web/sites/web_domain_edit.php',
			'interface/web/sites/web_domain_edit.php.bak',
			'interface/web/sites/web_domain_list.php',
			'interface/web/sites/web_sites_stats.php.bak',
			'interface/web/sites/web_vhost_aliasdomain_del.php',
			'interface/web/sites/web_vhost_aliasdomain_edit.php',
			'interface/web/sites/web_vhost_aliasdomain_list.php',
			'interface/web/sites/web_vhost_subdomain_del.php',
			'interface/web/sites/web_vhost_subdomain_edit.php',
			'interface/web/sites/web_vhost_subdomain_list.php',
			'interface/web/strengthmeter/lib/lang/bg_javascript.lng',
			'interface/web/strengthmeter/lib/lang/de_javascript.lng',
			'interface/web/strengthmeter/lib/lang/en_javascript.lng',
			'interface/web/strengthmeter/lib/lang/es_javascript.lng',
			'interface/web/strengthmeter/lib/lang/fi_javascript.lng',
			'interface/web/strengthmeter/lib/lang/fr_javascript.lng',
			'interface/web/strengthmeter/lib/lang/it_javascript.lng',
			'interface/web/strengthmeter/lib/lang/nl_javascript.lng',
			'interface/web/strengthmeter/lib/lang/ru_javascript.lng',
			'interface/web/strengthmeter/lib/lang/se_javascript.lng',
			'interface/web/temp/en.lng',
			'interface/web/test/form/test.tform.php',
			'interface/web/test/lib/admin.conf.php',
			'interface/web/test/lib/lang/de_test.lng',
			'interface/web/test/lib/module.conf.php',
			'interface/web/test/templates/test_edit_adresse.htm',
			'interface/web/test/test_edit.php',
			'interface/web/test.txt',
			'interface/web/tools/default-v2_settings.php',
			'interface/web/tools/dns_resync.php',
			'interface/web/tools/form/default-v2_settings.tform.php',
			'interface/web/tools/form/tpl_default-v2.tform.php',
			'interface/web/tools/lib/interface.d/default-v2.menu.php',
			'interface/web/tools/lib/interface.d/tpl_default-v2.menu.php',
			'interface/web/tools/lib/lang/ar_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/bg_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/br_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/cz_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/de_default-v2.lng',
			'interface/web/tools/lib/lang/de_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/el_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/en_default-v2.lng',
			'interface/web/tools/lib/lang/en_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/es_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/fi_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/fr_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/hr_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/hu_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/id_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/it_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/ja_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/nl_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/pl_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/pt_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/ro_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/ru_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/se_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/sk_tpl_default-v2.lng',
			'interface/web/tools/lib/lang/tr_tpl_default-v2.lng',
			'interface/web/tools/lib/menu.d/dns_resync.menu.php',
			'interface/web/tools/templates/default-v2_settings.htm',
			'interface/web/tools/templates/dns_resync.htm',
			'interface/web/tools/_templates_old/user_settings.htm',
			'interface/web/tools/templates/tpl_default-v2.htm',
			'interface/web/tools/tpl_default-v2.php',
			'server/conf/apache.conf.master',
			'server/conf-custom/index/favicon.ico',
			'server/conf-custom/index/robots.txt',
			'server/conf/error/br/authorizationRequired.html',
			'server/conf/error/br/fileNotFound.html',
			'server/conf/error/br/forbidden.html',
			'server/conf/error/br/internalServerError.html',
			'server/conf/error/br/invalidSyntax.html',
			'server/conf/error/br/methodNotAllowed.html',
			'server/conf/error/br/overloaded.html',
			'server/conf/error/cz/authorizationRequired.html',
			'server/conf/error/cz/fileNotFound.html',
			'server/conf/error/cz/forbidden.html',
			'server/conf/error/cz/internalServerError.html',
			'server/conf/error/cz/invalidSyntax.html',
			'server/conf/error/cz/methodNotAllowed.html',
			'server/conf/error/cz/overloaded.html',
			'server/conf/error/de/authorizationRequired.html',
			'server/conf/error/de/fileNotFound.html',
			'server/conf/error/de/forbidden.html',
			'server/conf/error/de/internalServerError.html',
			'server/conf/error/de/invalidSyntax.html',
			'server/conf/error/de/methodNotAllowed.html',
			'server/conf/error/de/overloaded.html',
			'server/conf/error/en/authorizationRequired.html',
			'server/conf/error/en/fileNotFound.html',
			'server/conf/error/en/forbidden.html',
			'server/conf/error/en/internalServerError.html',
			'server/conf/error/en/invalidSyntax.html',
			'server/conf/error/en/methodNotAllowed.html',
			'server/conf/error/en/overloaded.html',
			'server/conf/error/es/authorizationRequired.html',
			'server/conf/error/es/fileNotFound.html',
			'server/conf/error/es/forbidden.html',
			'server/conf/error/es/internalServerError.html',
			'server/conf/error/es/invalidSyntax.html',
			'server/conf/error/es/methodNotAllowed.html',
			'server/conf/error/es/overloaded.html',
			'server/conf/error/fr/authorizationRequired.html',
			'server/conf/error/fr/fileNotFound.html',
			'server/conf/error/fr/forbidden.html',
			'server/conf/error/fr/internalServerError.html',
			'server/conf/error/fr/invalidSyntax.html',
			'server/conf/error/fr/methodNotAllowed.html',
			'server/conf/error/fr/overloaded.html',
			'server/conf/error/gr/authorizationRequired.html',
			'server/conf/error/gr/fileNotFound.html',
			'server/conf/error/gr/forbidden.html',
			'server/conf/error/gr/internalServerError.html',
			'server/conf/error/gr/invalidSyntax.html',
			'server/conf/error/gr/methodNotAllowed.html',
			'server/conf/error/gr/overloaded.html',
			'server/conf/error/hu/authorizationRequired.html',
			'server/conf/error/hu/fileNotFound.html',
			'server/conf/error/hu/forbidden.html',
			'server/conf/error/hu/internalServerError.html',
			'server/conf/error/hu/invalidSyntax.html',
			'server/conf/error/hu/methodNotAllowed.html',
			'server/conf/error/hu/overloaded.html',
			'server/conf/error/it/authorizationRequired.html',
			'server/conf/error/it/fileNotFound.html',
			'server/conf/error/it/forbidden.html',
			'server/conf/error/it/internalServerError.html',
			'server/conf/error/it/invalidSyntax.html',
			'server/conf/error/it/methodNotAllowed.html',
			'server/conf/error/it/overloaded.html',
			'server/conf/error/nl/authorizationRequired.html',
			'server/conf/error/nl/fileNotFound.html',
			'server/conf/error/nl/forbidden.html',
			'server/conf/error/nl/internalServerError.html',
			'server/conf/error/nl/invalidSyntax.html',
			'server/conf/error/nl/methodNotAllowed.html',
			'server/conf/error/nl/overloaded.html',
			'server/conf/error/pl/authorizationRequired.html',
			'server/conf/error/pl/fileNotFound.html',
			'server/conf/error/pl/forbidden.html',
			'server/conf/error/pl/internalServerError.html',
			'server/conf/error/pl/invalidSyntax.html',
			'server/conf/error/pl/methodNotAllowed.html',
			'server/conf/error/pl/overloaded.html',
			'server/conf/error/se/authorizationRequired.html',
			'server/conf/error/se/fileNotFound.html',
			'server/conf/error/se/forbidden.html',
			'server/conf/error/se/internalServerError.html',
			'server/conf/error/se/invalidSyntax.html',
			'server/conf/error/se/methodNotAllowed.html',
			'server/conf/error/se/overloaded.html',
			'server/conf/error/si/authorizationRequired.html',
			'server/conf/error/si/fileNotFound.html',
			'server/conf/error/si/forbidden.html',
			'server/conf/error/si/internalServerError.html',
			'server/conf/error/si/invalidSyntax.html',
			'server/conf/error/si/methodNotAllowed.html',
			'server/conf/error/si/overloaded.html',
			'server/conf/error/sr/authorizationRequired.html',
			'server/conf/error/sr/fileNotFound.html',
			'server/conf/error/sr/forbidden.html',
			'server/conf/error/sr/internalServerError.html',
			'server/conf/error/sr/invalidSyntax.html',
			'server/conf/error/sr/methodNotAllowed.html',
			'server/conf/error/sr/overloaded.html',
			'server/conf/nginx_reverseproxy_rewrites.conf.master',
			'server/conf/nginx_reverseproxy_vhost.conf.master',
			'server/conf/nginx_rewrites.conf.master',
			'server/conf/squidRewriteRules.py.master',
			'server/conf/ufw.before.rules.master',
			'server/conf/ufw.conf.master',
			'server/conf/ufw.default.master',
			'server/ispconfig.log',
			'server/lib/classes/aps_installer.inc.php.bak',
			'server/lib/config.inc.php',
			'server/mods-available/mail.module.php',
			'server/plugins-available/shelluser_plugin.inc.php',
			'server/plugins-available/ufw_firewall_plugin.inc.php',
			'server/scripts/getmail.sh
		');
		
		$curpath = dirname(dirname(realpath(dirname(__FILE__))));
		
		$c = 0;
		$del_all = false;
		foreach($delete as $file) {
			if(strpos($file, '..') !== false) continue; // security!
			
			if($del_all == false) {
				$answer = $inst->simple_query('Delete obsolete file ' . $file . '?', array('y', 'n', 'a', 'all', 'none'), 'y');
				if($answer == 'n') continue;
				elseif($answer == 'a' || $answer == 'all') $del_all = true;
				elseif($answer == 'none') break;
			}
			if(@is_file('/usr/local/ispconfig/' . $file) && !@is_file($curpath . '/' . $file)) {
				// be sure this is not a file contained in installation!
				@unlink('/usr/local/ispconfig/' . $file);
				ilog('Deleted obsolete file /usr/local/ispconfig/' . $file);
				$c++;
			}
		}
		ilog($c . 'obsolete files deleted.');
	}
}

?>
